22.05.2019 19:57
KirillHome
 
Понадобилось запустить клиента 1C на Ubuntu 18.04

Всё хорошо поставилось, но запуск не происходит

Посмотрел в терминале - ругается


Поискал, вроде нашёл решение

Цитата:
В новых дистрибутивах библиотеку libpng12 заменила libpng16, но 1С продолжает искать старую библиотеку (причем только последний релиз 8.3.13), оставим это на совести разработчиков 1С.

Что делать? Скачать нужный пакет из репозитория Debian 8 или Ubuntu 16.04. Непосредственно на системе это можно сделать командой (для x64 систем):

Код:
wget http://ftp.ru.debian.org/debian/pool/main/libp/libpng/libpng12-0_1.2.50-2+deb8u3_amd64.deb
Для 32-х битных систем аналогичная команда будет:

Код:
wget http://ftp.ru.debian.org/debian/pool/main/libp/libpng/libpng12-0_1.2.50-2+deb8u3_i386.deb
Затем установим пакет:

Код:
dpkg  -i libpng12-0_1.2.50-2+deb8u3_amd64.deb
или для 32-х бит:

Код:
dpkg  -i libpng12-0_1.2.50-2+deb8u3_i386.deb
После чего 1С снова начнет запускаться.
Я же умный
Система у меня 64 разрядная, скачиваю, устанавливаю вариант для 64-разрядных систем, устанавливаю...
Ничего не поменялось...

Гуглю дальше...
Все механизмы подобные и результат одинаков.

Пока я не догадался поставить 32-разрядный пакет - и 1С заработало!


Пишут, что в более свежих версиях проблема решена:
Цитата:
В платформе >= 8.3.13.1644 ошибка исправлена
22.05.2019 20:02
OlegON
 
Цитата:
KirillHome Система у меня 64 разрядная
А 1С какая?
Увидел путь на картинке, но путь - не гарантия битности...
22.05.2019 20:10
KirillHome
 
Цитата:
OlegON А 1С какая?
Увидел путь на картинке, но путь - не гарантия битности...
Картинка не моя, 1C - 32 разрядная, конечно же.

Просто во всех руководствах разрядность пакета рекомендуется выбирать, исходя из разрядности системы, а не приложения.
Выяснил, что это не так.
Делюсь
22.05.2019 20:16
OlegON
 
Спасибо, но как раз наоборот, выбирать надо, исходя из разрядности приложения. И на винде так же.
22.05.2019 20:59
KirillHome
 
Цитата:
OlegON Спасибо, но как раз наоборот, выбирать надо, исходя из разрядности приложения.
Меня смутило (откровенно смутило) то, что я процитировал:

Цитата:
... это можно сделать командой (для x64 систем):
Слово "систем" прочитал как "операционных систем", а не как "разрядность приложения".

Был не прав, вспылил, замарал честь офицера
23.05.2019 09:40
Fomka
 
KirillHome, пробуй уже 8.3.14 :)

Форум на базе vBulletin®
Copyright © Jelsoft Enterprises Ltd.
В случае заимствования информации гипертекстовая индексируемая ссылка на Форум обязательна.